<!DOCTYPE HTML>
<html>
  <head>
    <!-- <script type="text/javascript" src="dist/main.js"></script>
         <script type="text/javascript" src="dist/example.js"></script> -->
    <script type="module" src="/src/index.ts"></script>

    <!-- <link rel="stylesheet" href="dist/main.css"> -->
    <link rel="stylesheet" href="/src/css/main.scss">

    <title>Test page</title>
  </head>
  <body class="pa-4">
    <div>
      <h1 class="text-subtitle-1">Block width</h1>

      <p>class="w-all"</p>
      <div class="w-all" style="border: 1px dashed red">
        Content
      </div>

      <p>class="w-dyn"</p>
      <div class="w-dyn-700" style="border: 1px dashed red">
        <p>class="w-dyn-700"</p>
      </div>
      <div class="w-dyn-800" style="border: 1px dashed red">
        <p>class="w-dyn-800"</p>
      </div>
      <div class="w-dyn-900" style="border: 1px dashed red">
        <p>class="w-dyn-900"</p>
      </div>
      <div class="w-dyn-1000" style="border: 1px dashed red">
        <p>class="w-dyn-1000"</p>
      </div>
      <div class="w-dyn-1100" style="border: 1px dashed red">
        <p>class="w-dyn-1100"</p>
      </div>

    </div>

    <div>
      <h1>Flex</h1>

      <p>div class="d-flex justify-space-between"</p>
      <div class="d-flex justify-space-between pa-2 mb-3" style="border: 1px dashed red">
        <div class="pa-1" style="border: 1px dashed red">div</div>
        <div class="pa-1" style="border: 1px dashed red">div</div>
        <div class="pa-1" style="border: 1px dashed red">div</div>
      </div>

      <p>div class="d-flex"</p>
      <div class="d-flex pa-2 mb-3" style="border: 1px dashed red">
        <div class="pa-1 flex-grow-1" style="border: 1px dashed red">
          <p>div class="flex-grow-1"</p>
        </div>
        <div class="pa-1 d-none d-md-block" style="border: 1px dashed red">
          <p>class="d-none d-md-block"</p>
        </div>
      </div>
    </div>

    <div>
      <h1>Padding and margin</h1>

      <div class="px-1" style="
                  background-image: linear-gradient(to bottom, rgba(240, 255, 40, 1) 0%, rgba(240, 255, 40, 1) 100%), linear-gradient(to bottom, rgba(240, 40, 40, 1) 0%, rgba(240, 40, 40, 1) 100%);
                  background-clip: content-box, padding-box;">
        px-1
      </div>
      <div class="px-2" style="
                  background-image: linear-gradient(to bottom, rgba(240, 255, 40, 1) 0%, rgba(240, 255, 40, 1) 100%),
                                    linear-gradient(to bottom, rgba(240, 40, 40, 1) 0%, rgba(240, 40, 40, 1) 100%);
                  background-clip: content-box, padding-box;">
        px-2
      </div>
    </div>


    <div>
      <h1>Buttons</h1>

      <p>data-click="alert"</p>
      <button data-click="test">hello</button>

      <button class="btn">asd</button>

    </div>


    <div>
      <h1>Pages</h1>

      <a href="/">Home</a> |
      <a href="/contacts" data-get="/123">Contacts</a>
      <div data-part="main">
        qwe qwe
      </div>

    </div>


    <div>
      <h1>Lists</h1>

      <div class="list 1">
        <div class="list-item" tabindex="0">
          <div class="icon" role="presentation">
            <svg style="width:100%;height:100%" viewBox="0 0 24 24">
              <path fill="currentColor" d="M12,3L1,9L12,15L21,10.09V17H23V9M5,13.18V17.18L12,21L19,17.18V13.18L12,17L5,13.18Z" />
            </svg>
          </div>

          <div class="content">
            <div class="title">Item title</div>
            <div class="subtitle">Description</div>
          </div>
        </div>
        <div class="list-item" tabindex="0">
          <div class="icon" role="presentation">
            <svg style="width:100%;height:100%" viewBox="0 0 24 24">
              <path fill="currentColor" d="M12,3L1,9L12,15L21,10.09V17H23V9M5,13.18V17.18L12,21L19,17.18V13.18L12,17L5,13.18Z" />
            </svg>
          </div>

          <div class="content">
            <div class="title">Item title</div>
            <div class="subtitle">Description</div>
          </div>
        </div>
        <div class="list-item" tabindex="0">
          <span class="mdc-list-item__ripple"></span>

          <span class="mdc-list-item__graphic" role="presentation">
            <!-- <i class="material-icons" aria-hidden="true">folder</i> -->

            <svg style="width:24px;height:24px" viewBox="0 0 24 24">
              <path fill="currentColor" d="M12,3L1,9L12,15L21,10.09V17H23V9M5,13.18V17.18L12,21L19,17.18V13.18L12,17L5,13.18Z" />
            </svg>
          </span>

          <div class="content">
            <div class="title">Item title</div>
            <div class="subtitle">Description</div>
          </div>
        </div>
      </div>


    </div>

  </body>
</html>
